Package com.microsoft.sqlserver.jdbc

## Interface ISQLServerDataRecord

    public interface ISQLServerDataRecord

The ISQLServerDataRecord interface can be used to create classes that read in data from any source (such as a file) and allow a structured type to be sent to SQL Server tables.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getColumnCount​()` Get the column count.
`SQLServerMetaData` `getColumnMetaData​(int column)` Get the column meta data
`Object[]` `getRowData​()` Gets the data for the current row as an array of Objects.
`boolean` `next​()` Advances to the next data row.

### Method Detail

#### getColumnMetaData

    SQLServerMetaData getColumnMetaData​(int column)

Get the column meta data

Parameters:
  `column` - the first column is 1, the second is 2, and so on
Returns:
  SQLServerMetaData of column

#### getColumnCount

    int getColumnCount​()

Get the column count.

Returns:
  Set of ordinals for the columns.

#### getRowData

    Object[] getRowData​()

Gets the data for the current row as an array of Objects. Each Object must match the Java language Type that is used to represent the indicated JDBC data type for the given column. For more information, see 'Understanding the JDBC Driver Data Types' for the appropriate mappings.

Returns:
  The data for the row.

#### next

    boolean next​()

Advances to the next data row.

Returns:
  True if rows are available; false if there are no more rows